package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.*;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {
    List<Student> list= new ArrayList<>();

    public void enroll(Student student) {
        list.add(student);
    }

    public Boolean isEnrolled(Student student) {

        return list.contains(student);
    }

    public void lecture(double numberOfHours) {
        for(Student elem: list){
            elem.learn(numberOfHours);
        }
    }

    public Map<Student, Double> getStudyMap() {

        Map<Student,Double> map= new HashMap<>();
        for(Student elem: list){
            map.put(elem,elem.getTotalStudyTime());
        }

        return map;
    }
}
