package rocks.zipcode.io.quiz4.fundamentals;

import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeEvaluator {
    public static String[] getAllPalindromes(String string) {

        Set<CharSequence> out = new HashSet<CharSequence>();
        int length = string.length();
        for (int i = 1; i <= length; i++) {
            for (int j = i - 1, k = i; j >= 0 && k < length; j--, k++) {
                if (string.charAt(j) == string.charAt(k)) {
                    out.add(string.subSequence(j, k + 1));
                } else {
                    break;
                }
            }
        }
        return out.toArray(new String[0]);


    }



    public static Boolean isPalindrome(String string) {


        for(int i=0;i<=string.length()/2;i++)
            if(string.charAt(i)!=string.charAt(string.length()-1-i))
                return false;
        return true;





    }

    public static String reverseString(String string) {

        StringBuilder sb = new StringBuilder();

        for(int i = string.length() - 1; i >= 0; i--)
        {
            sb.append(string.charAt(i));
        }
        return sb.toString();

    }
}
